var robotsdk = {
    playAudio: function (obj) {
        return window.chrome.webview.hostObjects.webBrowserObj.PlayAudio(obj.cmd, obj.animation, obj.videocontent, obj.callback);
    },
    stopAudio: function () {
        return window.chrome.webview.hostObjects.webBrowserObj.FUStopSound();
    },
    openLight: function (obj) {
        return window.chrome.webview.hostObjects.webBrowserObj.OpenLight(obj.lighttype, obj.lightstatus);
    },
    readIDCard: function (obj) {
        return window.chrome.webview.hostObjects.webBrowserObj.ReadIDCard(obj.remindvoice, obj.callback);
    },
    openHighCamera: function (obj) {
        return window.chrome.webview.hostObjects.webBrowserObj.OpenHighCamera(obj.x, obj.y, obj.width, obj.height);
    },
    getHighCamera: function (obj) {
        return window.chrome.webview.hostObjects.webBrowserObj.GetHighCamera(obj.callback);
    },
    closeHighCamera: function () {
        return window.chrome.webview.hostObjects.webBrowserObj.CloseHighCamera();
    },
    registerVoice: function (obj) {
        return window.chrome.webview.hostObjects.webBrowserObj.RegisterVoiceRecognition(obj.dynamicDataFunc, obj.dataArrivedFunc);
    },
    unregisterVoice: function () {
        return window.chrome.webview.hostObjects.webBrowserObj.UnRegisterVoiceRecognition();
    },
    registerVoiceCMD: function (obj) {
        return window.chrome.webview.hostObjects.webBrowserObj.RegisterCmdRecognition(obj.cmdDataFunc);
    },
    unregisterVoiceCMD: function () {
        return window.chrome.webview.hostObjects.webBrowserObj.UnRegisterCmdRecognition();
    },
    openQRCode: function (obj) {
        return window.chrome.webview.hostObjects.webBrowserObj.OpenQRCode(obj.callback);
    },
    closeQRCode: function () {
        return window.chrome.webview.hostObjects.webBrowserObj.CloseQRCode();
    },
    startRFIDRead: function (obj) {
        return window.chrome.webview.hostObjects.webBrowserObj.StartRFIDRead(obj.code, obj.callback);
    },
    closeRFID: function () {
        return window.chrome.webview.hostObjects.webBrowserObj.closeRFID();
    },
    printFile: function (obj) {
        return window.chrome.webview.hostObjects.webBrowserObj.PrintFile(obj.filetype, obj.base64, obj.remoteprintname, obj.replyvoice, obj.callback);
    },
    closeExternalApp: function (obj) {
        return window.chrome.webview.hostObjects.sync.webBrowserObj.CloseForm(obj.mode);
    },
    getUserInfo: function (obj) {
        window.chrome.webview.hostObjects.webBrowserObj.GetUserInfo(obj.callback);
    },
    showMasks: function (obj) {
        return window.chrome.webview.hostObjects.webBrowserObj.ShowMasks(obj.isOpen);
    },
    showMessage: function (obj) {
        return window.chrome.webview.hostObjects.webBrowserObj.ShowMessage(obj.isOpen, obj.content, obj.isAutoClose);
    },
    showConfirmMessage: function (obj) {
        return window.chrome.webview.hostObjects.webBrowserObj.ShowConfirmMessage(obj.isOpen, obj.content, obj.isAutoClose, obj.callback);
    },
    openKeyBoard: function (obj) {
        return window.chrome.webview.hostObjects.webBrowserObj.OpenKeyBoard(obj.oldContent, obj.type);
    },
    closeKeyBoard: function (obj) {
        return window.chrome.webview.hostObjects.webBrowserObj.CloseKeyBoard();
    },
    openIdentification: function (obj) {
        return window.chrome.webview.hostObjects.webBrowserObj.OpenIdentification(obj.callback);
    },
    openWebSearch: function (obj) {
        return window.chrome.webview.hostObjects.webBrowserObj.OpenWebSearch(obj.keywords);
    },
    closeForm: function (obj) {
        return window.chrome.webview.hostObjects.webBrowserObj.CloseForm(obj.mode);
    },
    animationEnum: {
        "无": 0,
        "打招呼": 1,
        "右单手展示": 2
    },
    voiceInstruct: {
        "无": 0,
        "停止": 1,
        "人脸识别": 3,
        "刷身份证": 4
    },
    lightType: {
        "Ambient": 12,
        "Scan": 11,
        "RQCode": 17,
        "A4": 15,
        "IDCard": 16,
        "Fingerprint": 18
    },
    lightStatus: {
        "Close": 0,
        "Open": 1,
        "Flicker1": 2,
        "Flicker05": 3,
        "Flicker2": 4,
    },
    flieType: {
        "doc": "doc",
        "pdf": "pdf"
    }
}

